cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/file-documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/file-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/file-documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "<string>",
"category": "W9",
"versions": [
{
"s3VersionId": "<string>",
"metadataModel": "<string>",
"metadataId": "<string>",
"metadata": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}File Documents
Get Producer Agreement Templates
Retrieve producer agreement templates for your organization
GET
/
v2
/
upstream
/
file-documents
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/file-documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/file-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/file-documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "<string>",
"category": "W9",
"versions": [
{
"s3VersionId": "<string>",
"metadataModel": "<string>",
"metadataId": "<string>",
"metadata": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}For new integrations, prefer List Contract Container Templates which returns native
contractContainerTemplateId values usable directly with Invite Downstream Entity.| Parameter | Value |
|---|---|
category | Producer Agreement |
subCategory | template |
isDeleted | false |
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter documents by file document category
Available options:
W9, E&O, Cyber, Producer Agreement, Crime & Fidelity, Other Contract, Other Document, Payment Details, License PDF, Contract Container Folder Document, Surplus Lines, Surplus Lines Tax Certification, Surplus Lines Diligent Effort, Surety Bond, custom question upload, market onboarding email attachment, market application pack source Example:
"Producer Agreement"
Filter Producer Agreement documents by type (instance or template)
Available options:
instance, template Example:
"template"
Filter documents by their soft-deletion status. Deleted Surplus Lines documents are never returned, so true returns the deleted documents of every other category.
Example:
false
Was this page helpful?